Subject: [PATCHv13 00/40] ARM: TI SoC clock DT conversion

From: [email-masked] (Tero Kristo)
Date: Fri, 17 Jan 2014 20:11:06 +0200

On 01/17/2014 07:53 PM, Tony Lindgren wrote:
> * Kevin Hilman <[email-masked]> [140117 09:48]:
>> Mike Turquette <[email-masked]> writes:
>>
>> [...]
>>
>>> I took Tony's advice and fast-forwarded clk-next to -rc7 and applied
>>> Tero's series. This includes the AM3517 bits now. I've pushed this
>>> branch to clk-next-omap (force update) on my Linaro mirror. Can you do a
>>> final sanity test before I merge this into clk-next?

I think you accidentally merged wrong branch to clk-next-omap with the 
latest refresh. This is one is missing the build-fixes now, when it 
earlier had those in.

The correct branch to merge was 3.13-rc7-dt-clks-v13-build-fixes.

This also causes the build failure below for omap1.

-Tero

>>
>> I merged clk-next-omap into next-20140117 and build/boot tested
>> omap2plus_defconfig, multi_v7_defconfig and
>> multi_v7_defconfig+CONFIG_LPAE=y and all passed a basic boot test for
>> omap5uevm.
>>
>> I'll add OMAP5 to the automated boot testing starting with the next
>> linux-next.
>
> OK that's good news. Looks like omap1_defconfig build has now started
> failing though:
>
> vers/built-in.o: In function `omap5xxx_dt_clk_init':
> :(.init.text+0x846c): undefined reference to `omap2_clk_disable_autoidle_all'
> drivers/built-in.o: In function `am43xx_dt_clk_init':
> :(.init.text+0x856c): undefined reference to `omap2_clk_disable_autoidle_all'
> drivers/built-in.o:(.rodata+0xc3c4): undefined reference to `omap3_clkoutx2_recalc'
> drivers/built-in.o:(.rodata+0xc40c): undefined reference to `omap3_noncore_dpll_enable'
> drivers/built-in.o:(.rodata+0xc410): undefined reference to `omap3_noncore_dpll_disable'
> drivers/built-in.o:(.rodata+0xc41c): undefined reference to `omap3_dpll_recalc'
> drivers/built-in.o:(.rodata+0xc420): undefined reference to `omap2_dpll_round_rate'
> drivers/built-in.o:(.rodata+0xc42c): undefined reference to `omap2_init_dpll_parent'
> drivers/built-in.o:(.rodata+0xc430): undefined reference to `omap3_noncore_dpll_set_rate'
> drivers/built-in.o:(.rodata+0xc470): undefined reference to `omap3_dpll_recalc'
> drivers/built-in.o:(.rodata+0xc474): undefined reference to `omap2_dpll_round_rate'
> drivers/built-in.o:(.rodata+0xc480): undefined reference to `omap2_init_dpll_parent'
> drivers/built-in.o:(.rodata+0xc4a0): undefined reference to `omap3_noncore_dpll_enable'
> drivers/built-in.o:(.rodata+0xc4a4): undefined reference to `omap3_noncore_dpll_disable'
> drivers/built-in.o:(.rodata+0xc4b0): undefined reference to `omap3_dpll_recalc'
> drivers/built-in.o:(.rodata+0xc4b4): undefined reference to `omap2_dpll_round_rate'
> drivers/built-in.o:(.rodata+0xc4c0): undefined reference to `omap2_init_dpll_parent'
> drivers/built-in.o:(.rodata+0xc4c4): undefined reference to `omap3_dpll4_set_rate'
> drivers/built-in.o:(.rodata+0xc4e0): undefined reference to `omap3_noncore_dpll_enable'
> drivers/built-in.o:(.rodata+0xc4e4): undefined reference to `omap3_noncore_dpll_disable'
> drivers/built-in.o:(.rodata+0xc4f0): undefined reference to `omap3_dpll_recalc'
> drivers/built-in.o:(.rodata+0xc4f4): undefined reference to `omap2_dpll_round_rate'
> drivers/built-in.o:(.rodata+0xc500): undefined reference to `omap2_init_dpll_parent'
> drivers/built-in.o:(.rodata+0xc504): undefined reference to `omap3_noncore_dpll_set_rate'
> drivers/built-in.o:(.rodata+0xc530): undefined reference to `omap3_dpll_recalc'
> drivers/built-in.o:(.rodata+0xc540): undefined reference to `omap2_init_dpll_parent'
> drivers/built-in.o:(.rodata+0xc560): undefined reference to `omap3_noncore_dpll_enable'
> drivers/built-in.o:(.rodata+0xc564): undefined reference to `omap3_noncore_dpll_disable'
> drivers/built-in.o:(.rodata+0xc570): undefined reference to `omap4_dpll_regm4xen_recalc'
> drivers/built-in.o:(.rodata+0xc574): undefined reference to `omap4_dpll_regm4xen_round_rate'
> drivers/built-in.o:(.rodata+0xc580): undefined reference to `omap2_init_dpll_parent'
> drivers/built-in.o:(.rodata+0xc584): undefined reference to `omap3_noncore_dpll_set_rate'
> drivers/built-in.o:(.rodata+0xc5b0): undefined reference to `omap3_dpll_recalc'
> drivers/built-in.o:(.rodata+0xc5b4): undefined reference to `omap2_dpll_round_rate'
> drivers/built-in.o:(.rodata+0xc5c0): undefined reference to `omap2_init_dpll_parent'
> drivers/built-in.o:(.rodata+0xc5c4): undefined reference to `omap3_noncore_dpll_set_rate'
> drivers/built-in.o:(.rodata+0xc63c): undefined reference to `omap2_dflt_clk_enable'
> drivers/built-in.o:(.rodata+0xc640): undefined reference to `omap2_dflt_clk_disable'
> drivers/built-in.o:(.rodata+0xc644): undefined reference to `omap2_dflt_clk_is_enabled'
> drivers/built-in.o:(.rodata+0xc728): undefined reference to `omap2_clkops_enable_clkdm'
> drivers/built-in.o:(.rodata+0xc72c): undefined reference to `omap2_clkops_disable_clkdm'
> drivers/built-in.o:(.rodata+0xc754): undefined reference to `omap2_init_clk_clkdm'
> drivers/built-in.o:(.rodata+0xc784): undefined reference to `omap2_dflt_clk_disable'
> drivers/built-in.o:(.rodata+0xc788): undefined reference to `omap2_dflt_clk_is_enabled'
> drivers/built-in.o:(.rodata+0xc7ac): undefined reference to `omap2_init_clk_clkdm'
> drivers/built-in.o:(.rodata+0xc7c0): undefined reference to `omap2_dflt_clk_enable'
> drivers/built-in.o:(.rodata+0xc7c4): undefined reference to `omap2_dflt_clk_disable'
> drivers/built-in.o:(.rodata+0xc7c8): undefined reference to `omap2_dflt_clk_is_enabled'
> drivers/built-in.o:(.rodata+0xc7ec): undefined reference to `omap2_init_clk_clkdm'
> drivers/built-in.o:(.rodata+0xc838): undefined reference to `__clk_mux_determine_rate'
> drivers/built-in.o:(.rodata+0xc904): undefined reference to `omap2_dflt_clk_enable'
> drivers/built-in.o:(.rodata+0xc908): undefined reference to `omap2_dflt_clk_disable'
> drivers/built-in.o:(.rodata+0xc90c): undefined reference to `omap2_dflt_clk_is_enabled'
> drivers/built-in.o:(.rodata+0xc930): undefined reference to `omap2_init_clk_clkdm'
>
> Regards,
>
> Tony
>